## cntlm 0.92.3

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,16 @@
 NAME=cntlm
 CC=gcc
 VER=`cat VERSION`
-OBJS=utils.o ntlm.o xcrypt.o config.o socket.o acl.o auth.o http.o forward.o direct.o scanner.o pages.o main.o
-CFLAGS=$(FLAGS) -std=c99 -Wall -pedantic -O3 -D__BSD_VISIBLE -D_ALL_SOURCE -D_XOPEN_SOURCE=600 -D_POSIX_C_SOURCE=200112 -D_ISOC99_SOURCE -D_REENTRANT -DVERSION=\"`cat VERSION`\" -g
+CFLAGS+=$(FLAGS) -std=c99 -Wall -Wno-unused-but-set-variable -pedantic -O3 -D__BSD_VISIBLE -D_ALL_SOURCE -D_XOPEN_SOURCE=600 -D_POSIX_C_SOURCE=200112 -D_ISOC99_SOURCE -D_REENTRANT -D_BSD_SOURCE -DVERSION=\"`cat VERSION`\"
 OS=$(shell uname -s)
 OSLDFLAGS=$(shell [ $(OS) = "SunOS" ] && echo "-lrt -lsocket -lnsl")
 LDFLAGS:=-lpthread $(OSLDFLAGS)
+
+ifeq ($(findstring CYGWIN,$(OS)),)
+	OBJS=utils.o ntlm.o xcrypt.o config.o socket.o acl.o auth.o http.o forward.o direct.o scanner.o pages.o main.o
+else
+	OBJS=utils.o ntlm.o xcrypt.o config.o socket.o acl.o auth.o http.o forward.o direct.o scanner.o pages.o main.o win/resources.o
+endif
 
 $(NAME): configure-stamp $(OBJS)
 	@echo "Linking $@"
@@ -38,11 +43,16 @@
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
 install: $(NAME)
-	# AIX?
-	if [ -f /usr/bin/oslevel ]; then \
+	# Special handling for install(1)
+	if [ "`uname -s`" = "AIX" ]; then \
 		install -M 755 -S -f $(BINDIR) $(NAME); \
 		install -M 644 -f $(MANDIR)/man1 doc/$(NAME).1; \
 		install -M 600 -c $(SYSCONFDIR) doc/$(NAME).conf; \
+	elif [ "`uname -s`" = "Darwin" ]; then \
+		install -d -m 755 -s $(NAME) $(BINDIR)/$(NAME); \
+		install -d -m 644 doc/$(NAME).1 $(MANDIR)/man1/$(NAME).1; \
+		[ -f $(SYSCONFDIR)/$(NAME).conf -o -z "$(SYSCONFDIR)" ] \
+			|| install -d -m 600 doc/$(NAME).conf $(SYSCONFDIR)/$(NAME).conf; \
 	else \
 		install -D -m 755 -s $(NAME) $(BINDIR)/$(NAME); \
 		install -D -m 644 doc/$(NAME).1 $(MANDIR)/man1/$(NAME).1; \
@@ -101,20 +111,27 @@
 	cat doc/cntlm.conf | unix2dos > win/cntlm.ini
 	cat COPYRIGHT LICENSE | unix2dos > win/license.txt
 	sed "s/\$$VERSION/$(VER)/g" win/setup.iss.in > win/setup.iss
-	cp /bin/cygwin1.dll /bin/cygrunsrv.exe win/
+	cp /bin/cygwin1.dll /bin/cyggcc_s-1.dll /bin/cygrunsrv.exe win/
 	cp cntlm.exe win/
 	strip win/cntlm.exe
+	ln -s win $(NAME)-$(VER)
+	zip -9 $(NAME)-$(VER).zip $(NAME)-$(VER)/cntlm.exe $(NAME)-$(VER)/cyggcc_s-1.dll $(NAME)-$(VER)/cygwin1.dll $(NAME)-$(VER)/cygrunsrv.exe $(NAME)-$(VER)/cntlm.ini $(NAME)-$(VER)/README.txt $(NAME)-$(VER)/license.txt
+	rm -f $(NAME)-$(VER)
 	@echo
 	@echo Now open folder "win", right-click "setup.iss", then "Compile".
 	@echo InnoSetup will generate a new installer cntlm-X.XX-setup.exe
 	@echo
+
+win/resources.o: win/resources.rc
+	@echo Adding EXE resources
+	@windres $^ -o $@
 
 uninstall:
 	rm -f $(BINDIR)/$(NAME) $(MANDIR)/man1/$(NAME).1 2>/dev/null || true
 
 clean:
 	@rm -f *.o cntlm cntlm.exe configure-stamp build-stamp config/config.h 2>/dev/null
-	@rm -f win/*.exe win/*.dll win/*.iss win/*.pdf win/cntlm.ini win/license.txt 2>/dev/null
+	@rm -f win/*.exe win/*.dll win/*.iss win/*.pdf win/cntlm.ini win/license.txt win/resouces.o 2>/dev/null
 	@rm -f config/endian config/gethostname config/strdup config/socklen_t config/*.exe
 	@if [ -h Makefile ]; then rm -f Makefile; mv Makefile.gcc Makefile; fi
