=== debian/changelog ===
cntlm (0.92.3-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. Closes: #683640.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 16:59:48 +0000

cntlm (0.92.3-1.2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload

  [ Graham Inggs ]
  * Cherry-pick r306 from 0.93 to properly handle non-HTTP/1.1 keep-alive
    (LP: #1009436 Closes: #679211)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Apr 2022 15:19:17 +0200

cntlm (0.92.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - debian/rules: using 'dh_prep' instead of 'dh_clean -k' because the
        '-k' option is not supported since compat 12.
      - Closes: #965463

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 17 Apr 2022 15:10:54 -0300

cntlm (0.92.3-1) unstable; urgency=low

  * New upstream release. Closes: #652725, #588920.
  * Fix Init script error, thanks Martijn. Closes: #588683.
  * Correct spellings in man page.
  * Update Standards Version, no changes needed.

 -- David Watson <dwatson@debian.org>  Fri, 27 Apr 2012 15:08:17 +0100

cntlm (0.35.1-5) unstable; urgency=low

  * Fix lintian errors in debian/copyright 
  * Update Standards Version, no changes needed.

 -- David Watson <dwatson@debian.org>  Wed, 02 Sep 2009 12:52:32 +0100

cntlm (0.35.1-4) unstable; urgency=low

  * Add set -e to prerm script.
  * Add vcs fields to control.
  * Update Standards Version, no changes needed.

 -- David Watson <dwatson@debian.org>  Fri, 10 Oct 2008 22:00:42 +0100

cntlm (0.35.1-3) unstable; urgency=low

  * Added watch file, thanks Kumar Appaiah. Closes: #471173. 

 -- David Watson <dwatson@debian.org>  Sat, 22 Mar 2008 01:22:59 +0000

cntlm (0.35.1-2) unstable; urgency=low

  * Fix Dependencies. Closes: #459786.
  * Updated Standards Version, no changes needed.
  * Removed empty directory from package.
  * Fixed hyphens in man page.

 -- David Watson <dwatson@debian.org>  Tue, 08 Jan 2008 23:34:29 +0000

cntlm (0.35.1-1) unstable; urgency=low

  [ David Kubicek ] 
  * New upstream release
  * Updated init script for non-persistent /var/run/cntlm (Ubuntu)
  * Fixed #1835218
  * Support and new test macros for Mac OS
  * Automated ./configure && make system with compiler and arch detection

 -- David Watson <dwatson@debian.org>  Fri, 25 Nov 2007 20:27:45 +0000

cntlm (0.35-1) unstable; urgency=low

  * New upstream release
  * Built-in SOCKS5 proxy service
  * Fixed #1806604 - allow NTLM-free (open) proxy
  * Fixed #1820540 - Ubuntu /bin/sh (Dash) compatible
  * Added __BSD_VISIBLE def for FreeBSD compilation
  * Fixed typo which made tunnels unstable!
  * Major code refactoring

 -- David Kubicek <dave@awk.cz>  Fri, 02 Nov 2007 01:21:46 +0100

cntlm (0.34.1-1) unstable; urgency=low

  * New upstream release
  * Move Homepage field from description

 -- David Watson <dwatson@debian.org>  Tue, 23 Oct 2007 22:02:38 +0100

cntlm (0.33-1) unstable; urgency=low

  * New upstream release

 -- David Watson <dwatson@debian.org>  Tue, 31 Jul 2007 00:53:20 +0100
 

cntlm (0.32-1) unstable; urgency=low

  * New upstream relase
  * Error message on stderr if start is not successful (was only error return code)
  * Updated init scripts not to display possible error message (uses only RC)
  * Feature req #1751349 implemented: NTLM-to-basic with multiuser support
        - can detect wrong password, allowing multiple tries without browser restart
        - builtin "access denied" page

 -- David Kubicek <dave@awk.cz>  Thu, 12 Jul 2007 16:23:20 +0200
 

cntlm (0.31.1-1) unstable; urgency=low

  * New upstream release
  * Full support + fix for chunked encoding (incl. extensions and trailers)

 -- David Kubicek <dave@awk.cz>  Mon, 09 Jul 2007 15:01:43 +0200
 

cntlm (0.31-1) unstable; urgency=low

  * New upstream release
  * Important feature added for HTTP/1.1 clients - chunked TE
  * Major fix for FTP downloads (some didn't work at all)

 -- David Kubicek <dave@awk.cz>  Tue, 05 Jun 2007 09:27:09 +0200

cntlm (0.30-1) unstable; urgency=low

  * New upstream release

 -- David Kubicek <dave@awk.cz>  Fri, 08 Jun 2007 20:50:31 +0200

cntlm (0.29.1-1) unstable; urgency=low

  * New upstream release

 -- David Kubicek <dave@awk.cz>  Tue, 05 Jun 2007 09:27:09 +0200

cntlm (0.29-1) unstable; urgency=low

  * New upstream version

 -- David Kubicek <dave@awk.cz>  Fri, 01 Jun 2007 17:41:23 +0200

cntlm (0.28.1-1) unstable; urgency=low

  * Initial release
  * Makefile adjustments regarding installation directories

 -- David Kubicek <dave@awk.cz>  Fri, 01 Jun 2007 17:36:34 +0200
