=== debian/control ===
Source: cntlm
Section: net
Priority: optional
Maintainer: David Watson <dwatson@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.9.3
Vcs-Git: git://planetwatson.co.uk/cntlm
Vcs-Browser: http://projects.planetwatson.co.uk/repositories/show/cntlm
Homepage: http://cntlm.sourceforge.net/

Package: cntlm
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Replaces: ntlmaps
Description: Fast NTLM authentication proxy with tunneling
 Cntlm is a fast and efficient NTLM proxy, with support for TCP/IP tunneling,
 authenticated connection caching, ACLs, proper daemon logging and behaviour
 and much more. It has up to ten times faster responses than similar NTLM
 proxies, while using by orders or magnitude less RAM and CPU. Manual page 
 contains detailed information.
