=== debian/watch ===
version=3
http://sf.net/cntlm/cntlm-([\.\d]+)\.tar\.gz
