=== Makefile ===
--- 
+++ 
@@ -14,25 +14,52 @@
 #
 NAME=cntlm
 CC=gcc
-VER=`cat VERSION`
-CFLAGS+=$(FLAGS) -std=c99 -Wall -Wno-unused-but-set-variable -pedantic -O3 -D__BSD_VISIBLE -D_ALL_SOURCE -D_XOPEN_SOURCE=600 -D_POSIX_C_SOURCE=200112 -D_ISOC99_SOURCE -D_REENTRANT -D_BSD_SOURCE -DVERSION=\"`cat VERSION`\"
+VER := $(shell cat VERSION)
+
+VERBOSE ?= 0
+ifeq ($(VERBOSE),1)
+V:=
+else
+V:=@
+endif
+
+
+DEBUG ?= 0
+ifeq ($(DEBUG),1)
+CFLAGS+=$(FLAGS) -O0 -g
+else
+CFLAGS+=$(FLAGS) -O3
+endif
+
+CFLAGS+=$(FLAGS) -std=c99 -Wall -Wno-unused-but-set-variable -pedantic -D__BSD_VISIBLE -D_ALL_SOURCE -D_XOPEN_SOURCE=600 -D_POSIX_C_SOURCE=200112 -D_ISOC99_SOURCE -D_REENTRANT -D_DEFAULT_SOURCE -DVERSION=\"$(VER)\"
+
 OS=$(shell uname -s)
 OSLDFLAGS=$(shell [ $(OS) = "SunOS" ] && echo "-lrt -lsocket -lnsl")
 LDFLAGS:=-lpthread $(OSLDFLAGS)
 
 ifeq ($(findstring CYGWIN,$(OS)),)
-	OBJS=utils.o ntlm.o xcrypt.o config.o socket.o acl.o auth.o http.o forward.o direct.o scanner.o pages.o main.o
+	OBJS=utils.o ntlm.o xcrypt.o config-file.o socket.o acl.o auth.o http.o forward.o direct.o scanner.o pages.o main.o
 else
-	OBJS=utils.o ntlm.o xcrypt.o config.o socket.o acl.o auth.o http.o forward.o direct.o scanner.o pages.o main.o win/resources.o
+	OBJS=utils.o ntlm.o xcrypt.o config-file.o socket.o acl.o auth.o http.o forward.o direct.o scanner.o pages.o main.o win/resources.o
 endif
+
+ENABLE_KERBEROS=$(shell grep -c ENABLE_KERBEROS config.h)
+ifeq ($(ENABLE_KERBEROS),1)
+	OBJS+=kerberos.o
+	LDFLAGS+=-lgssapi_krb5
+endif
+
+#CFLAGS+=-g
+
+all: $(NAME)
 
 $(NAME): configure-stamp $(OBJS)
 	@echo "Linking $@"
-	@$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS)
+	$(V)$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS)
 
 main.o: main.c
 	@echo "Compiling $<"
-	@if [ -z "$(SYSCONFDIR)" ]; then \
+	$(V)if [ -z "$(SYSCONFDIR)" ]; then \
 		$(CC) $(CFLAGS) -c main.c -o $@; \
 	else \
 		$(CC) $(CFLAGS) -DSYSCONFDIR=\"$(SYSCONFDIR)\" -c main.c -o $@; \
@@ -40,7 +67,7 @@
 
 .c.o:
 	@echo "Compiling $<"
-	@$(CC) $(CFLAGS) -c -o $@ $<
+	$(V)$(CC) $(CFLAGS) -c -o $@ $<
 
 install: $(NAME)
 	# Special handling for install(1)
@@ -124,16 +151,16 @@
 
 win/resources.o: win/resources.rc
 	@echo Adding EXE resources
-	@windres $^ -o $@
+	$(V)windres $^ -o $@
 
 uninstall:
 	rm -f $(BINDIR)/$(NAME) $(MANDIR)/man1/$(NAME).1 2>/dev/null || true
 
 clean:
-	@rm -f *.o cntlm cntlm.exe configure-stamp build-stamp config/config.h 2>/dev/null
-	@rm -f win/*.exe win/*.dll win/*.iss win/*.pdf win/cntlm.ini win/license.txt win/resouces.o 2>/dev/null
-	@rm -f config/endian config/gethostname config/strdup config/socklen_t config/*.exe
-	@if [ -h Makefile ]; then rm -f Makefile; mv Makefile.gcc Makefile; fi
+	$(V)rm -f *.o cntlm cntlm.exe configure-stamp build-stamp config.h 2>/dev/null
+	$(V)rm -f win/*.exe win/*.dll win/*.iss win/*.pdf win/cntlm.ini win/license.txt win/resouces.o 2>/dev/null
+	$(V)rm -f config/big_endian config/have_gethostname config/have_socklen_t config/have_strdup config/*.exe
+	$(V)if [ -h Makefile ]; then rm -f Makefile; mv Makefile.gcc Makefile; fi
 
 distclean: clean
 	if [ `id -u` = 0 ]; then \
@@ -143,4 +170,4 @@
 		fakeroot debian/rules clean; \
 		fakeroot rpm/rules clean; \
 	fi
-	@rm -f *.exe *.deb *.rpm *.tgz *.tar.gz *.tar.bz2 tags ctags pid 2>/dev/null
+	$(V)rm -f *.exe *.deb *.rpm *.tgz *.tar.gz *.tar.bz2 tags ctags pid 2>/dev/null
