=== debian/changelog ===
cntlm (0.93.1gss-1+1.16) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Tue, 30 Sep 2025 23:33:23 +0000

cntlm (0.35.1-1) unstable; urgency=low 

  [ David Kubicek ] 
  * New upstream release
  * Updated init script for non-persistent /var/run/cntlm (Ubuntu)
  * Fixed #1835218
  * Support and new test macros for Mac OS
  * Automated ./configure && make system with compiler and arch detection

 -- David Watson <dwatson@debian.org>  Fri, 25 Nov 2007 20:27:45 +0000

cntlm (0.92.3) unstable; urgency=low

  * Ad-hoc source build, not a Debian maintained package!

 -- David Kubicek <dave@awk.cz>  Fri, 14 Mar 2010 02:16:39 +0100
