=== debian/control ===
Source: cntlm
Section: net
Priority: optional
Maintainer: Emil Biserov <biserov@gmail.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, cmake, pkg-config
Standards-Version: 3.9.3
Homepage: https://github.com/biserov/cntlm-gss/

Package: cntlm
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Replaces: ntlmaps
Description: Fast NTLM/Kerberos authentication proxy with tunneling
 Cntlm is a fast and efficient NTLM proxy, with support for TCP/IP tunneling,
 authenticated connection caching, ACLs, proper daemon logging and behaviour
 and much more. It has up to ten times faster responses than similar NTLM
 proxies, while using by orders or magnitude less RAM and CPU. Manual page 
 contains detailed information.
