=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,15 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+
 	# Add here commands to configure the package.
-	./configure
+	mkdir .build
+	cd .build && cmake \
+	    -DCMAKE_BUILD_TYPE="Release" \
+	    -DCMAKE_INSTALL_PREFIX="/" \
+	    -DSYSCONF_INSTALL_DIR="/etc" \
+	    -DSYSTEMD_INSTALL_DIR="/lib/systemd/system" \
+	    ..
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -30,8 +37,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
-
+	cd .build && cmake --build .
 	touch $@
 
 clean:
@@ -40,7 +46,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	[ ! -f Makefile ] || $(MAKE) clean
+	rm -rf .build
 
 	dh_clean 
 
@@ -51,7 +57,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/cntlm.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/cntlm install
+	cd .build && env DESTDIR=$(CURDIR)/debian/cntlm cmake --install .
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -64,14 +70,17 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_install
-	cp debian/lintian-override debian/cntlm/usr/share/lintian/overrides/cntlm
-	dh_installdebconf	
+	#install -d debian/cntlm/usr/share/lintian/overrides
+	#install debian/lintian-override debian/cntlm/usr/share/lintian/overrides/cntlm
+	dh_installdebconf
 	dh_installinit -n
 	dh_installman doc/cntlm.1
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms -Xcntlm.conf
+	dh_fixperms
+	dh_installsystemd --restart-after-upgrade cntlm.service || true
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
