=== debian/changelog ===
cntlm (0.94.0+dfsg-1) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #679216, #1009006
  * Orphan package
    Closes: #1112090
  * Point Homepage to Github
  * d/watch: Fix watch file
  * d/rules:
     - Its not a sample
     - Short dh
  * d/copyright:
     - review
     - Files-Excluded: win rpm
  * Rename d/lintian-override to d/cntlm.lintian-overrides
  * debian/dirs: removed
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Update lintian override info format in d/sntlm.lintian-overrides on line 2
  * Fix day-of-week for changelog entry 0.35.1-1.
  * Add debian/upstream/metadata
  * Rotate cntlm logs
    Closes: #1004332
  * Drop manually edited sections from maintainer scripts
  * Add systemd unit
    Closes: #1039151
  * Permit failure of blhc in Salsa CI

  [ Alessandro Casale ]
  * Use LSB logging function in init script
    Closes: #730699

 -- Andreas Tille <tille@debian.org>  Mon, 06 Oct 2025 16:00:42 +0200
