=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=auto" \
   https://github.com/versat/cntlm/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

#opts="mode=git,pretty=0.94~git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto" \
#    https://github.com/versat/cntlm.git HEAD

# Issue asking for release tags:
# https://github.com/versat/cntlm/issues/126
